### Signal

# RB TrackTransferBatch::get-dest-uri

#### Declaration

    gchar*
    get_dest_uri (
      RBTrackTransferBatch* self,
      RhythmDBEntry* entry,
      gchar* mediatype,
      gchar* extension,
      gpointer user_data
    )

#### Description [src]

The batch emits this to allow the creator to provide a destination URI for an entry being transferred. This is emitted after the output media type is decided, so the usual extension for the media type can be taken into consideration.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`entry`

  Type: `RhythmDBEntry`

  The `RhythmDBEntry` to be transferred.

  The data is owned by the caller of the function.

`mediatype`

  Type: `gchar*`

  The destination media type for the transfer.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`extension`

  Type: `gchar*`

  Usual extension for the destionation media type.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.